Package org.apache.calcite.avatica.remote

# Class CommonsHttpClientPoolCache

java.lang.Object
org.apache.calcite.avatica.remote.CommonsHttpClientPoolCache

public class CommonsHttpClientPoolCache extends Object
Creates and returns a PoolingHttpClientConnectionManager object. If a pool exists for a given set of keystore, trustore, and hostanmeVerification parameters, then the existing pool is returned.

## Method Summary

Modifier and Type
Method
Description
`static org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager`
`getPool(ConnectionConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPool

public static org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager getPool(ConnectionConfig config)